Data types
==========

shape
-----

.. doxygenstruct:: migraphx::internal::shape

literal
-------

.. doxygenstruct:: migraphx::internal::literal

argument
--------

.. doxygenstruct:: migraphx::internal::argument

raw_data
--------

.. doxygenstruct:: migraphx::internal::raw_data

.. doxygenfunction:: migraphx::internal::visit_all


tensor_view
-----------

.. doxygenstruct:: migraphx::internal::tensor_view
